<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>Attributes and Hyperlinks</title>
	</head>
	<body>
		<h2 id="top">HTML Attributes</h2>

		<!-- The align attribute changes the alignment of the paragraph -->

		<p align="center"><em>Modifiers of element behaviors</em></p>

		<h2>HTML Images</h2>
		<p align="right"><em>An Image can be shown using &lt;img&gt; tag along with its <strong>src</strong> attribute</em></p>
		<br>

		<!-- a is an achor tag that gives a hyperlink
		- img with an Absolute linking, coming from an external source -->

		<h6>note picture has hyperlink to MDN Docs</h6>
		<a href="https://devdocs.io/" target="_blank">
			<img src="https://place-puppy.com/300x300"
		style="width:150px;height: 150px;"></a>
		<p>

			<!-- code shows text like code in website; change font -->

			<code>
			&lt; img src="https://place-puppy.com/300x300"&gt;
			</code>
		</p>

		<!-- img with a Relative linking, coming from an internal source -->

		<img src="./images/Red Panda.jpg" style="width:180px;height:100px">
		<p>

		<!-- code shows text like code in website; change font -->
			
			<code>
			&lt; img src="./images/Red Panda.jpg">&gt;
			</code>
		</p>
		<p>Valid image extensions are the following:</p>
		<ol type="a" reversed>
			<li>png</li>
			<li>jpg</li>
			<li>gif</li>
			<li>svg</li>
			<li>webp</li>
		</ol>
		<img src="https://c.tenor.com/zYdnJeHy-ZoAAAAM/red-panda-truly.gif" style="width:200px;height:250px">

		<p>Take a look at w3schools attribute references <a href="https://www.w3schools.com/html/html_attributes.asp" target="_blank">here</a></p>

		<h2>HTML Links</h2>
		<h4>Absolute Link</h4>

		<!-- <a> tag used to create a hyperlink element that redirects to a different page-->
		<!-- title shows a message when user mouse over the link -->

		<a href="https://zuitt.co" target="_blank" title="Go to Zuitt">I'm a hyperlink</a>

		<!-- target Attribute specifies where to open the linked document
		values can be _self,_blank,_parent,_top -->

		<a href="./link.html" target="_blank">click me</a>

		<!-- To target an id Attribute we use # -->

		<p>Go to <a href="#top">top</a></p>

		<!-- mailto opens users email program, need to specify target email after mailto -->

		<p><a href="mailto:mauroiiimunoz@gmail.com">Try to Email me</a></p>

Go to <a href="./link.html">./link.html</a> page.</p>
<p>Go to <a href="./images/index.html">images Link</a></p>

	</body>
</html>